Name:		slim
Version:	1.3.2
Release:	b7
Summary:	Simple Login Manager

Group:		User Interface/X
License:	GPLv2+
URL:		http://slim.berlios.de/
Source0:	http://download.berlios.de/slim/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libXmu-devel libXft-devel libXrender-devel
BuildRequires:  libpng-devel libjpeg-devel freetype-devel fontconfig-devel
BuildRequires:  pkgconfig gettext libselinux-devel pam-devel
Requires:       %{_sysconfdir}/pam.d
# we use 'include' in the pam file, so
Requires:       pam >= 0.80
# for anaconda yum
Provides:       service(graphical-login)

#BuildArchitectures: i586

%description
SLiM (Simple Login Manager) is a graphical login manager for X11.
It aims to be simple, fast and independent from the various
desktop environments.
SLiM is based on latest stable release of Login.app by Per Lidén.

In the distribution, slim may be called through a wrapper, slim-dynwm,
which determines the available window managers using the freedesktop
information and modifies the slim configuration file accordingly,
before launching slim.

%prep
%setup -q
patch -p1 < berry/slim-1.3.1-make.patch
patch -p1 < berry/slim-1.3.1-strtol.patch
patch -p1 < berry/slim-1.3.1-remove.patch
#patch -p1 < berry/slim-1.3.1-curdir.patch
#patch -p1 < berry/slim-1.3.1-selinux.patch
#patch -p1 < berry/slim-1.3.1-CVE-2009-1756.patch
#patch -p1 < berry/slim-1.3.1-fix-insecure-mcookie-generation.patch
patch -p1 < berry/slim-1.3.1-gcc44.patch

%build
make %{?_smp_mflags} OPTFLAGS="$RPM_OPT_FLAGS" USE_PAM=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' MANDIR=%{_mandir}

install -p -m755 berry/slim-update_slim_wmlist $RPM_BUILD_ROOT%{_bindir}/update_slim_wmlist

# do a slim wrapper which updates the window manager list before
# launching slim
cat > $RPM_BUILD_ROOT%{_bindir}/slim-dynwm << EOF
#!/bin/sh
update_slim_wmlist
if [ "x\$1" = "x-nodaemon" ]; then
  shift
  exec slim "\$@"
else
  slim -d "\$@"
fi
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/slim-dynwm
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/slim.conf

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m644 berry/slim.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/slim

install -d -m755 $RPM_BUILD_ROOT/etc/X11/xinit
install -p -m755 berry/berryos-xsession $RPM_BUILD_ROOT/etc/X11
ln -s ../berryos-xsession $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc

# replace the background image
#rm -f $RPM_BUILD_ROOT%{_datadir}/slim/themes/default/background.jpg
#ln -s ../../../backgrounds/tiles/default_blue.jpg $RPM_BUILD_ROOT%{_datadir}/slim/themes/default/background.jpg
#cp -a themes/* $RPM_BUILD_ROOT%{_datadir}/slim/themes/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%doc COPYING ChangeLog README* THEMES TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam.d/slim
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/slim.conf
%{_bindir}/slim
#%{_bindir}/slim*
#%{_bindir}/update_slim_wmlist
#%{_mandir}/man1/slim*.1*
%dir %{_datadir}/slim
%{_datadir}/slim/themes/
/etc/X11/berryos-xsession
/etc/X11/xinit/xinitrc


%changelog
* Thu Aug 19 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 1.3.2
* Mon Feb 15 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Create for Berry Linux
